Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.tibjms
Class TibjmsQueueConnectionFactory

    java.lang.Object
      TibjmsxCFImpl
          com.tibco.tibjms.TibjmsConnectionFactory
              com.tibco.tibjms.TibjmsQueueConnectionFactory

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable, java.lang.Cloneable, ConnectionFactory, QueueConnectionFactory, javax.naming.Referenceable

    public class TibjmsQueueConnectionFactory

extends TibjmsConnectionFactory
implements QueueConnectionFactory, java.io.Externalizable, javax.naming.Referenceable, java.lang.Cloneable

Constructor Summary
`TibjmsQueueConnectionFactory()`
`TibjmsQueueConnectionFactory(java.lang.String serverUrl)`
`TibjmsQueueConnectionFactory(java.lang.String serverUrl, java.lang.String clientId)`
`TibjmsQueueConnectionFactory(java.lang.String serverUrl, java.lang.String clientId, java.util.Map properties)`

Method Summary
`java.lang.Object` | `clone()`
`QueueConnection` | `createQueueConnection()` Creates a queue connection with the default user identity.
`QueueConnection` | `createQueueConnection(java.lang.String userName, java.lang.String password)` Creates a queue connection with the specified user identity.
`void` | `readExternal(java.io.ObjectInput in)`
`void` | `writeExternal(java.io.ObjectOutput out)`

Methods inherited from class com.tibco.tibjms.TibjmsConnectionFactory
`createConnection, createConnection, getSSLProxyHost, getSSLProxyPassword, getSSLProxyPort, getSSLProxyUser, setClientID, setConnAttemptCount, setConnAttemptDelay, setConnAttemptTimeout, setMetric, setMulticastDaemon, setMulticastEnabled, setReconnAttemptCount, setReconnAttemptDelay, setReconnAttemptTimeout, setServerUrl, setSSLAuthOnly, setSSLCipherSuites, setSSLDebugTrace, setSSLEnableVerifyHost, setSSLEnableVerifyHostName, setSSLExpectedHostName, setSSLIdentity, setSSLIdentity, setSSLIdentityEncoding, setSSLIssuerCertificate, setSSLIssuerCertificate, setSSLIssuerCertificate, setSSLPassword, setSSLPrivateKey, setSSLPrivateKey, setSSLPrivateKeyEncoding, setSSLProxy, setSSLProxyAuth, setSSLTrace, setSSLTrustedCertificate, setSSLTrustedCertificate, setSSLTrustedCertificate, setSSLVendor, setUserName, setUserPassword`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.jms.ConnectionFactory
`createConnection, createConnection`

Methods inherited from interface javax.naming.Referenceable
`getReference`

Constructor Detail

### TibjmsQueueConnectionFactory

    public TibjmsQueueConnectionFactory()

### TibjmsQueueConnectionFactory

    public TibjmsQueueConnectionFactory(java.lang.String serverUrl)

### TibjmsQueueConnectionFactory

    public TibjmsQueueConnectionFactory(java.lang.String serverUrl,
                                        java.lang.String clientId)

### TibjmsQueueConnectionFactory

    public TibjmsQueueConnectionFactory(java.lang.String serverUrl,
                                        java.lang.String clientId,
                                        java.util.Map properties)

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `TibjmsConnectionFactory`
  Throws:
    `java.lang.CloneNotSupportedException`

### createQueueConnection

    public QueueConnection createQueueConnection()
                                          throws JMSException

  Description copied from interface: `QueueConnectionFactory`
  Creates a queue connection with the default user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called. .

  Specified by:
    `createQueueConnection` in interface `QueueConnectionFactory`
  Returns:
    a newly created queue connection
  Throws:
    `JMSException` - if the JMS provider fails to create the queue connection due to some internal error.
    `JMSSecurityException` - if client authentication fails due to an invalid user name or password.

### createQueueConnection

    public QueueConnection createQueueConnection(java.lang.String userName,
                                                 java.lang.String password)
                                          throws JMSException

  Description copied from interface: `QueueConnectionFactory`
  Creates a queue connection with the specified user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.

  Specified by:
    `createQueueConnection` in interface `QueueConnectionFactory`
  Parameters:
    `userName` - the caller's user name
    `password` - the caller's password
  Returns:
    a newly created queue connection
  Throws:
    `JMSException` - if the JMS provider fails to create the queue connection due to some internal error.
    `JMSSecurityException` - if client authentication fails due to an invalid user name or password.

### writeExternal

    public void writeExternal(java.io.ObjectOutput out)
                       throws java.io.IOException

  Specified by:
    `writeExternal` in interface `java.io.Externalizable`
  Overrides:
    `writeExternal` in class `TibjmsConnectionFactory`
  Throws:
    `java.io.IOException`

### readExternal

    public void readExternal(java.io.ObjectInput in)
                      throws java.io.IOException,
                             java.lang.ClassNotFoundException

  Specified by:
    `readExternal` in interface `java.io.Externalizable`
  Overrides:
    `readExternal` in class `TibjmsConnectionFactory`
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © TIBCO Software Inc. All rights reserved